Package org.apache.sling.commons.messaging

## Interface MessageService<T,​S>

Type Parameters:
  `S` - the type of result returned by send operation
  `T` - the type of message to send

    @ProviderType
    public interface MessageService<T,​S>

Service for sending messages.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull CompletableFuture<S>` `sendMessage​(T message)` Sends the given message.

### Method Detail

#### sendMessage

    @NotNull
    @NotNull CompletableFuture<S> sendMessage​(@NotNull
                                              T message)

Sends the given message.

Parameters:
  `message` - the message to send
Returns:
  the result of send operation